<?php
	require_once '../sources/p2sApiService.php';
	
	$wsdl_location = 'https://api.price2spy.com/soap?wsdl';
	$p2sApi = new p2sApiService(array(), $wsdl_location);
	
	$apiKey = 'xyz';
	
	$getProductsRequestType = new getProductsRequestType();
	$getProductsRequestType->apiKey = $apiKey;
	$getProductsRequestType->search = new searchProductsType();
	$getProductsRequestType->search->productName = 'a';
	
	$products = $p2sApi->getProducts($getProductsRequestType);
	
	echo 'Found '.count($products->product).' products:<br/><hr/>';
	if($products->product != null) {
		if(count($products->product) == 1) {
			echo $products->product->productName . '<br/>';
		} else {
			foreach($products->product as $product) {
				echo $product->productName . '<br/>';
			}
		}
	}
?>
