<?php
	require_once '../sources/p2sApiService.php';
	
	$wsdl_location = 'https://api.price2spy.com/soap?wsdl';
	$p2sApi = new p2sApiService(array(), $wsdl_location);
	
	$apiKey = 'xyz';
	
	$getMeasurementsRequestType = new getMeasurementsRequestType();
	$getMeasurementsRequestType->apiKey = $apiKey;
	$getMeasurementsRequestType->search = new searchMeasurementsType();
	$getMeasurementsRequestType->search->urlId = '69415';
	
	$measurements = $p2sApi->getMeasurements($getMeasurementsRequestType);
	
	echo 'Found '.count($measurements->measurement).' measuremens:<br/><hr/>';
	if($measurements->measurement != null) {
		foreach($measurements->measurement as $measurement) {
			echo date_create($measurement->dateChecked)->format('d.m.Y. H:i:s') . ' - ' . $measurement->price->amount . ' ' . $measurement->price->currency . '<br/>';
		}
	}
?>
