<?php
	require_once '../sources/p2sApiService.php';
	
	$wsdl_location = 'https://api.price2spy.com/soap?wsdl';
	$p2sApi = new p2sApiService(array(), $wsdl_location);
	
	$apiKey = 'xyz';
	
	$getUrlsRequestType = new getUrlsRequestType();
	$getUrlsRequestType->apiKey = $apiKey;
	$getUrlsRequestType->search = new searchUrlsType();
	$getUrlsRequestType->search->id = '7112';
	$getUrlsRequestType->search->idMode = 'ID';
	
	$urls = $p2sApi->getUrls($getUrlsRequestType);
	
	echo 'Found '.count($urls->url).' urls:<br/><hr/>';
	if($urls->url != null) {
		if(count($urls->url) == 1) {
			$url = $urls->url;
			if($url->lastMeasurement != null) {
				echo $url->siteHumanName . ': ' . $url->lastMeasurement->price->amount . ' ' . $url->lastMeasurement->price->currency . ' ' . '<br/>';
			} else {
				echo $url->siteHumanName . ': no measurements.<br/>';
			}
		} else {
			foreach($urls->url as $url) {
				if($url->lastMeasurement != null) {
					echo $url->siteHumanName . ': ' . $url->lastMeasurement->price->amount . ' ' . $url->lastMeasurement->price->currency . ' ' . '<br/>';
				} else {
					echo $url->siteHumanName . ': no measurements.<br/>';
				}
			}
		}
	}
?>
