<?php
	require_once '../sources/p2sApiService.php';
	
	$wsdl_location = 'https://api.price2spy.com/soap?wsdl';
	$p2sApi = new p2sApiService(array(), $wsdl_location);
	
	$apiKey = 'xyz';
	
	$insertProductRequestType = new insertProductRequestType();
	$insertProductRequestType->apiKey = $apiKey;
	$insertProductRequestType->insert = new insertProductType();
	$insertProductRequestType->insert->productName = 'Insert API Product';
	$insertProductRequestType->insert->checkFrequencyType = 'DAYS';
	$insertProductRequestType->insert->checkFrequencyInterval = 1;
	$insertProductRequestType->insert->active = true;
	$insertProductRequestType->insert->sku = 'SKU';
	$insertProductRequestType->insert->internalId = 'InternalId';
	$insertProductRequestType->insert->targetPrice = 12.34;
	$insertProductRequestType->insert->purchasePrice = 56.78;
	$insertProductRequestType->insert->categoryName = 'New Category';
	$insertProductRequestType->insert->brandName = 'Existing Brand';
	$insertProductRequestType->insert->supplierName = '';
	
	$id = $p2sApi->insertProduct($insertProductRequestType);
	
	echo 'New products id: '.$id.'<br/>';
?>
